%define name %{realname}%{major}
%define version 0.99.4
%define release 6mdk
%define summary A library for controlling CD-ROM devices
%define major 1
%define realname libcdaudio

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		Sound
Source0		ftp://cdcd.undergrid.net/libcdaudio/%{realname}-%{version}.tar.bz2
Source1:	.cdserverrc.bz2
URL:		http://cdcd.undergrid.net/libcdaudio/
Buildroot:	%{_tmppath}/%{name}-buildroot

Summary:        %{summary}
Group:          Sound

Obsoletes:	libcdaudio

%description -n %name
libcdaudio is a library for controlling CD-ROM devices

%package -n %{name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/C
Requires:	%{name} = %{version}
Provides:	%{realname}-devel

%description -n %{name}-devel
This package contains the headers that programmers will need to develop 
applications which will use %{name}.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n %realname-%version
bzcat %{SOURCE1} > .cdserverrc

%configure

%build

%make

%install

%makeinstall

%post -n %name
/sbin/ldconfig
echo "copy %{_docdir}/.cdserverrc into your home directory, and configure it for using libcdaudio CDDB functions"

%postun -n %name
/sbin/ldconfig

%files -n %name
%defattr (-,root,root)
%doc README NEWS AUTHORS COPYING ChangeLog .cdserverrc
%{_libdir}/lib*.so.*

%files -n %name-devel
%defattr (-,root,root)
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Thu Jun 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-6mdk
- rebuild
- obsoletes libcdaudio

* Thu Dec 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-5mdk
- used srpm from Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- spec minor cleanup

* Tue Dec 19 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.99.4-4mdk
- add default configuration file 
- added devel package for headers and static libs

* Wed Aug 23 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-3mdk
- BM
- macros
- fix URL

* Tue May 02 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-2mdk
- fix group

* Thu Feb 08 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.99.4-1mdk
- mandrake build
- v0.99.4
